<?php

function car_wash_services_remove_customize_register() {
    global $wp_customize;
   

    $wp_customize->remove_setting( 'automobile_hub_mail_text' );
    $wp_customize->remove_control( 'automobile_hub_mail_text' );

    $wp_customize->remove_setting( 'automobile_hub_call_text' );
    $wp_customize->remove_control( 'automobile_hub_call_text' );

    $wp_customize->remove_setting( 'automobile_hub_search_icon' );
    $wp_customize->remove_control( 'automobile_hub_search_icon' );
    
    $wp_customize->remove_setting( 'automobile_hub_tp_color_option_link' );
    $wp_customize->remove_control( 'automobile_hub_tp_color_option_link' );

    $wp_customize->remove_setting( 'automobile_hub_cart_option' );
    $wp_customize->remove_control( 'automobile_hub_cart_option' );

    $wp_customize->remove_setting( 'automobile_hub_cart_icon' );
    $wp_customize->remove_control( 'automobile_hub_cart_icon' );

    $wp_customize->remove_setting( 'automobile_hub_slider_icon' );
    $wp_customize->remove_control( 'automobile_hub_slider_icon' );
    
    $wp_customize->remove_setting( 'automobile_hub_about_icon' );
    $wp_customize->remove_control( 'automobile_hub_about_icon' );

    $wp_customize->remove_setting( 'automobile_hub_slider_content_layout' );
    $wp_customize->remove_control( 'automobile_hub_slider_content_layout' );

}
add_action( 'customize_register', 'car_wash_services_remove_customize_register', 11 );

function car_wash_services_customize_register( $wp_customize ) {

$wp_customize->register_control_type( 'Car_Wash_Service_Toggle_Control' );


	$wp_customize->add_setting('car_wash_services_slider_content_layout',array(
        'default' => 'CENTER-ALIGN',
        'sanitize_callback' => 'automobile_hub_sanitize_choices'
	));
	$wp_customize->add_control('car_wash_services_slider_content_layout',array(
        'type' => 'radio',
        'label'     => __('Slider Content Layout', 'car-wash-services'),
        'section' => 'automobile_hub_slider_section',
        'choices' => array(
        	'CENTER-ALIGN' => __('CENTER-ALIGN','car-wash-services'),
            'LEFT-ALIGN' => __('LEFT-ALIGN','car-wash-services'),        	
            'RIGHT-ALIGN' => __('RIGHT-ALIGN','car-wash-services'),
        ),
	) );

	//color option
    $wp_customize->add_setting( 'car_wash_services_tp_secondary_color_option', array(
	    'default' => '',
	    'sanitize_callback' => 'sanitize_hex_color',

  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'car_wash_services_tp_secondary_color_option', array(
			'label'     => __('Theme Secondary  Color', 'car-wash-services'),
	    'description' => __('It will change the complete theme secondary color in one click.', 'car-wash-services'),
	    'section' => 'automobile_hub_color_option',
	    'settings' => 'car_wash_services_tp_secondary_color_option',
  	)));

  	//Topbar section
	$wp_customize->add_setting('car_wash_services_location',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('car_wash_services_location',array(
		'label'	=> __('Add Location','car-wash-services'),
		'section'	=> 'automobile_hub_topbar',
		'type'		=> 'text'
	));

	//Featured car section
	$wp_customize->add_section( 'car_wash_services_featured_car_section' , array(
    	'title'      => __( 'Car Wash Servies Settings', 'car-wash-services' ),
		'panel' => 'automobile_hub_panel_id',
		'priority' => 4,
	) );
    $wp_customize->add_setting( 'car_wash_services_featured_car_show_hide', array(
		'default'           => false,
		'transport'         => 'refresh',
		'sanitize_callback' => 'automobile_hub_sanitize_checkbox',
	) );
	$wp_customize->add_control( new Car_Wash_Service_Toggle_Control( $wp_customize, 'car_wash_services_featured_car_show_hide', array(
		'label'       => esc_html__( 'Show / Hide section', 'car-wash-services' ),
		'section'     => 'car_wash_services_featured_car_section',
		'type'        => 'toggle',
		'settings'    => 'car_wash_services_featured_car_show_hide',
	) ) );
	$wp_customize->add_setting('car_wash_services_featured_car_section_tittle',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('car_wash_services_featured_car_section_tittle',array(
		'label'	=> __('Section Title','car-wash-services'),
		'section'	=> 'car_wash_services_featured_car_section',
		'type'		=> 'text'
	));
	$categories = get_categories();
	$cats = array();
	$i = 0;
	$car_wash_services_offer_cat[]= 'select';
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$car_wash_services_offer_cat[$category->slug] = $category->name;
	}
	$wp_customize->add_setting('car_wash_services_featured_car_section_category',array(
		'default'	=> 'select',
		'sanitize_callback' => 'automobile_hub_sanitize_choices',
	));
	$wp_customize->add_control('car_wash_services_featured_car_section_category',array(
		'type'    => 'select',
		'choices' => $car_wash_services_offer_cat,
		'label' => __('Select Category','car-wash-services'),
		'section' => 'car_wash_services_featured_car_section',
	));
}
add_action( 'customize_register', 'car_wash_services_customize_register' );
